﻿@using System.Collections.Generic
@using Microsoft.AspNetCore.Http
@using Microsoft.AspNetCore.Http.Authentication

@model RecipeSPA.Models.LoginViewModel
@inject SignInManager<RecipeUser> SignInManager

@{
    ViewBag.Title = "Login";
}

@section scripts{
    <script type="text/javascript" src="~/lib/jquery/dist/jquery.min.js"></script>
    <script type="text/javascript" src="~/lib/jquery-validation/dist/jquery.validate.min.js"></script>
    <script type="text/javascript" src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"></script>
}


<div id="login" class="col-lg-4 col-lg-offset-4">
    <div class="col-lg-8 col-lg-offset-2">
        <div>
            <h3>Welcome</h3>
        </div>
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div>
                <input asp-for="Email" class="form-control" type="email" placeholder="Email" />
                <input asp-for="Password" class="form-control" type="password" placeholder="Password" />

                <a id="register" href="~/Auth/Register" data-toggle="tooltip" title="Register" class="btn btn-default btn-lg">
                    <i class="fa fa-pencil-square-o"></i>
                </a>
                <button type="submit" id="btnLogin" data-toggle="tooltip" title="Login" class="btn btn-default btn-lg">
                    <i class="fa fa-sign-in"></i>
                </button>
            </div>
        </form>

        <form asp-controller="Auth" asp-action="ExternalLogin" asp-route-returnurl="@ViewData["ReturnUrl"]" method="post" class="form-horizontal">
            <div>
                @{
                    var loginProviders = SignInManager.GetExternalAuthenticationSchemes().ToList();
                    var googleProvider = loginProviders.Find(item => item.DisplayName.Equals("Google"));
                    var gitHubProvider = loginProviders.Find(item => item.DisplayName.Equals("GitHub"));
                }
                    
                <div class="oauth">
                    <button class="btn btn-default btn-lg" type="submit" name="provider" value="@googleProvider.AuthenticationScheme" data-toggle="tooltip" title="Google+"><i class="fa fa-google-plus"></i></button>
                    @*<button class="btn btn-default btn-lg" type="submit" name="provider" value="" data-toggle="tooltip" title="LinkedIn"><i class="fa fa-linkedin"></i></button>*@
                    <button class="btn btn-default btn-lg" type="submit" name="provider" value="@gitHubProvider.AuthenticationScheme" data-toggle="tooltip" title="Github"><i class="fa fa-github"></i></button>
                </div>

            </div>
        </form>

    </div>
</div>